opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
CvBlobTrackSeq Class Reference

`#include <blobtrack.hpp>`

## Public Member Functions
virtual void | AddBlobTrack (int TrackID, int StartFrame=0)
virtual void | Clear ()
| CvBlobTrackSeq (int TrackSize=sizeof(CvBlobTrack))
virtual void | DelBlobTrack (int TrackIndex)
virtual void | DelBlobTrackByID (int TrackID)
virtual CvBlobTrack * | GetBlobTrack (int TrackIndex)
virtual CvBlobTrack * | GetBlobTrackByID (int TrackID)
virtual int | GetBlobTrackNum ()
virtual | ~CvBlobTrackSeq ()

## Protected Attributes
CvMemStorage * | m_pMem
CvSeq * | m_pSeq

## Constructor & Destructor Documentation

CvBlobTrackSeq::CvBlobTrackSeq | ( | int | TrackSize = `sizeof(CvBlobTrack)` | ) |

virtual CvBlobTrackSeq::~CvBlobTrackSeq | ( |  | ) |
| virtual

## Member Function Documentation

virtual void CvBlobTrackSeq::AddBlobTrack | ( | int | TrackID,
|  | int | StartFrame = `0`
| ) |  |
| virtual

virtual void CvBlobTrackSeq::Clear | ( |  | ) |
| virtual

virtual void CvBlobTrackSeq::DelBlobTrack | ( | int | TrackIndex | ) |
| virtual

virtual void CvBlobTrackSeq::DelBlobTrackByID | ( | int | TrackID | ) |
| virtual

virtual CvBlobTrack* CvBlobTrackSeq::GetBlobTrack | ( | int | TrackIndex | ) |
| virtual

virtual CvBlobTrack* CvBlobTrackSeq::GetBlobTrackByID | ( | int | TrackID | ) |
| virtual

virtual int CvBlobTrackSeq::GetBlobTrackNum | ( |  | ) |
| virtual

## Member Data Documentation

CvMemStorage* CvBlobTrackSeq::m_pMem
| protected

CvSeq* CvBlobTrackSeq::m_pSeq
| protected

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/legacy/include/opencv2/legacy/blobtrack.hpp